1 Reply Latest reply on May 19, 2011 2:52 PM by Wolf-Dieter Fink

    How to call EJBs in JBoss4.0.5 from JBoss6?

    Wang Liyu Apprentice

      We have a application that has to run on JBoss4.0.5.GA, I'm writing the CDI application using JBoss6.0, I tried to use JBoss6 native RMI client to call JBoss4 and it report NamingException, if I put the JBoss4.0.5's jbossall-client.jar into the war, it works only if you hot deploy the war, otherwise it throws a lot exceptions.


      I tried to call JBoss4.0.5.GA from JBoss5.1.GA and it works, I don't need to put the jbossall-client.jar in the war.


      Does anyone have any idea how to do this? BTW, I think the server admin instructions should contains a chapter that explains how to connect JNDI/EJB/JMS from different versions of JBossAS.

        • 1. How to call EJBs in JBoss4.0.5 from JBoss6?
          Wolf-Dieter Fink Master

          Call EJBs across different versions of JBoss is very complicated with a lot of problems.


          One of the problems is that you have classes with the same name and package in different versions, it might help that you use classloader isolation.

          Next is that transactions did not work as expected.


          We decide to deploy both applications in the same JBoss to avoid this.